# SPDX-FileCopyrightText: 2024 Ryan Lahfa <ryan.lahfa@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ config, nodeMeta, ... }:
let
  svc = config.system.service;
  inherit (nodeMeta.extraNodeSettings) building floor ap-no;
  # FIXME switch to ipv6 tu be able to scale
  adminIp = "10.0.253.${builtins.toString (ap-no + floor * 8 + building * 32 + 2)}";
in
{
  services.admin-ip = svc.network.address.build {
    interface = config.services.admin-vlan;
    address = adminIp;
    prefixLength = 24;
    family = "inet";
  };

  services.admin-defaultroute4 = svc.network.route.build {
    via = "10.0.253.1";
    target = "default";
    dependencies = [ config.services.admin-ip ];
  };
}
