# SPDX-FileCopyrightText: 2024 Ryan Lahfa <ryan.lahfa@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ config, ... }:
let
  svc = config.system.service;
in
{
  # Our bridging is a bit complicated, therefore, we need iproute2.
  programs.iproute2.enable = true;

  services = {
    admin-vlan = svc.vlan.build {
      ifname = "admin";
      primary = config.hardware.networkInterfaces.lan;
      vid = "3001";
    };
  };
}
